<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/message_bg"
    tools:context=".personal.LoginPasswordActivity">

    <!-- 标题栏 -->
    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/ivBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/login_password"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />
    </LinearLayout>

    <!-- 旧密码输入框 -->
    <EditText
        android:layout_margin="16dp"
        android:id="@+id/etOldPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="32dp"
        android:background="@drawable/textinput_white_bg"
        android:hint="@string/enter_old_password"
        android:inputType="textPassword"
        android:paddingHorizontal="16dp"
        android:paddingVertical="16dp"
        android:textColor="@color/black"
        android:textColorHint="@color/gray"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/topBar" />

    <!-- 新密码输入框 -->
    <EditText
        android:layout_margin="16dp"
        android:id="@+id/etNewPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:background="@drawable/textinput_white_bg"
        android:hint="@string/enter_new_password"
        android:inputType="textPassword"
        android:paddingHorizontal="16dp"
        android:paddingVertical="16dp"
        android:textColor="@color/black"
        android:textColorHint="@color/gray"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/etOldPassword" />

    <!-- 再次输入新密码输入框 -->
    <EditText
        android:layout_margin="16dp"
        android:id="@+id/etConfirmPassword"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:background="@drawable/textinput_white_bg"
        android:hint="@string/enter_password_again"
        android:inputType="textPassword"
        android:paddingHorizontal="16dp"
        android:paddingVertical="16dp"
        android:textColor="@color/black"
        android:textColorHint="@color/gray"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/etNewPassword" />

    <!-- 确定重设密码按钮 -->
    <android.widget.Button
        android:layout_margin="16dp"
        android:id="@+id/btnConfirm"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:layout_marginTop="32dp"
        android:background="@drawable/rounded_blue_bg"
        android:text="@string/confirm_reset_password"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/etConfirmPassword" />

</androidx.constraintlayout.widget.ConstraintLayout>